# DIGEST_CTX_s Struct Reference

MD5/SHA1 digest private data. More...

## Data Fields

const char * | name
size_t | paramsize
size_t | datasize
size_t | digestsize
int(* | Reset )(void *param)
int(* | Update )(void *param, const byte *data, size_t size)
int(* | Digest )(void *param, byte *digest)
rpmDigestFlags | flags
void * | param

## Detailed Description

MD5/SHA1 digest private data.

Definition at line 309 of file digest.c.

## Field Documentation

size_t DIGEST_CTX_s::datasize

No. bytes in block of plaintext data.

Definition at line 313 of file digest.c.

Referenced by rpmDigestInit().

int(* DIGEST_CTX_s::Digest)(void *param,byte *digest)

Digest finish.

Referenced by rpmDigestFinal(), and rpmDigestInit().

size_t DIGEST_CTX_s::digestsize

No. bytes of digest.

Definition at line 314 of file digest.c.

Referenced by rpmDigestFinal(), and rpmDigestInit().

rpmDigestFlags DIGEST_CTX_s::flags

Bit(s) to control digest operation.

Definition at line 321 of file digest.c.

Referenced by rpmDigestInit().

const char* DIGEST_CTX_s::name

Digest name.

Definition at line 311 of file digest.c.

Referenced by rpmDigestInit().

void* DIGEST_CTX_s::param

Digest parameters.

Definition at line 322 of file digest.c.

Referenced by rpmDigestDup(), rpmDigestFinal(), rpmDigestInit(), and rpmDigestUpdate().

size_t DIGEST_CTX_s::paramsize

No. bytes of digest parameters.

Definition at line 312 of file digest.c.

Referenced by rpmDigestDup(), rpmDigestFinal(), and rpmDigestInit().

int(* DIGEST_CTX_s::Reset)(void *param)

Digest initialize.

Referenced by rpmDigestInit().

int(* DIGEST_CTX_s::Update)(void *param, const byte *data, size_t size)

Digest transform.

Referenced by rpmDigestInit(), and rpmDigestUpdate().

The documentation for this struct was generated from the following file:

- rpmio/digest.c